Index: src/Actions/ParserAction/LoadXyzAction.cpp
===================================================================
--- src/Actions/ParserAction/LoadXyzAction.cpp	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
+++ src/Actions/ParserAction/LoadXyzAction.cpp	(revision c38826b3bf15f17943193456d55be73246628ebd)
@@ -38,8 +38,8 @@
   getParametersfromValueStorage();
 
-  DoLog(1) && (Log() << Verbose(1) << "Parsing xyz file for new atoms." << endl);
+  DoLog(1) && (Log() << Verbose(1) << "Parsing xyz file " << params.filename << " for new atoms." << endl);
   // parse xyz file
   ifstream input;
-  input.open(params.filename.c_str());
+  input.open(params.filename.string().c_str());
   if (!input.fail()) {
     XyzParser parser; // briefly instantiate a parser which is removed at end of focus
@@ -73,7 +73,3 @@
   return false;
 }
-
-const string ParserLoadXyzAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/ParserAction/LoadXyzAction.def
===================================================================
--- src/Actions/ParserAction/LoadXyzAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
+++ src/Actions/ParserAction/LoadXyzAction.def	(revision c38826b3bf15f17943193456d55be73246628ebd)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (std::string)
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (boost::filesystem::path)
 #define paramtokens ("parse-xyz")
-#define paramdescriptions ("parse xyz file into World")
+#define paramdescriptions ("name of xyz file")
+#undef paramdefaults
 #define paramreferences (filename)
 
@@ -29,6 +30,4 @@
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "parse xyz file into World"
 #define SHORTFORM "p"
-#define TYPEINFO &typeid(std::string)
Index: src/Actions/ParserAction/SaveXyzAction.cpp
===================================================================
--- src/Actions/ParserAction/SaveXyzAction.cpp	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
+++ src/Actions/ParserAction/SaveXyzAction.cpp	(revision c38826b3bf15f17943193456d55be73246628ebd)
@@ -20,7 +20,7 @@
 #include "Helpers/MemDebug.hpp"
 
+#include "Helpers/Log.hpp"
+#include "Helpers/Verbose.hpp"
 #include "Parser/XyzParser.hpp"
-#include "atom.hpp"
-#include "molecule.hpp"
 
 #include <iostream>
@@ -41,9 +41,13 @@
   getParametersfromValueStorage();
 
+  DoLog(1) && (Log() << Verbose(1) << "Storing xyz file " << params.filename << "." << endl);
   // store xyz file
   ofstream output;
-  output.open(params.filename.c_str());
-  if (!output.fail())
+  output.open(params.filename.string().c_str());
+  if (!output.fail()) {
     parser.save(&output);
+  } else {
+    DoeLog(1) && (eLog() << Verbose(1) << "Could not open file " << params.filename << "." << endl);
+  }
   output.close();
   return Action::failure;
@@ -73,7 +77,3 @@
   return false;
 }
-
-const string ParserSaveXyzAction::getName() {
-  return NAME;
-}
 /** =========== end of function ====================== */
Index: src/Actions/ParserAction/SaveXyzAction.def
===================================================================
--- src/Actions/ParserAction/SaveXyzAction.def	(revision d57341daabb0139273e143142890dd48dd9c3dd5)
+++ src/Actions/ParserAction/SaveXyzAction.def	(revision c38826b3bf15f17943193456d55be73246628ebd)
@@ -11,8 +11,9 @@
 // i.e. there is an integer with variable name Z that can be found in
 // ValueStorage by the token "Z" -> first column: int, Z, "Z"
-// "undefine" if no parameters are required
-#define paramtypes (std::string)
-#define paramtokens ("SaveXyz")
-#define paramdescriptions ("save world as xyz file")
+// "undefine" if no parameters are required, use (NODEFAULT) for each (undefined) default value
+#define paramtypes (boost::filesystem::path)
+#define paramtokens ("store-xyz")
+#define paramdescriptions ("file name of xyz file")
+#undef paramdefaults
 #define paramreferences (filename)
 
@@ -25,10 +26,8 @@
 #define MENUPOSITION 2
 #define ACTIONNAME SaveXyz
-#define TOKEN "SaveXyz"
+#define TOKEN "store-xyz"
 
 
 // finally the information stored in the ActionTrait specialization
-#undef DEFAULTVALUE
 #define DESCRIPTION "save world as xyz file"
 #undef SHORTFORM
-#define TYPEINFO &typeid(void)
